Bug 661698 - RFE - Need a link / button / replyto to unsubscribe from specific BZ
Summary: RFE - Need a link / button / replyto to unsubscribe from specific BZ
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Bugzilla
Classification: Community
Component: Email Notifications
Version: devel
Hardware: Unspecified
OS: Unspecified
low
medium vote
Target Milestone: 4.2-7
Assignee: Matt Tyson 🤬
QA Contact: tools-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-09 12:45 UTC by Ayal Baron
Modified: 2018-12-09 06:29 UTC (History)
3 users (show)

Fixed In Version: 4.2.4-7
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-12-07 00:44:06 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1002352 0 medium CLOSED Don't show unsubscribe link for specific users 2021-02-22 00:41:40 UTC

Internal Links: 1002352

Description Ayal Baron 2010-12-09 12:45:54 UTC
Description of problem:
Many people in RH are automatically registered to hundreds of bugs.  Some of them are relevant and some not.
It would be great to have a way to quickly "unsubscribe" from a bug which is not relevant (remove me from cc list).
This should be available as an option in the emails we receive about the bug.

Comment 1 Jeff Fearn 🐞 2012-05-30 04:42:45 UTC
As part of the recent Bugzilla 2.4 upgrade the Bugzilla team are cleaning up bugs opened against old versions of Bugzilla. This bug has been flagged as an old bug and will be CLOSED WONTFIX in 7 days time.

If you believe this bug is an issue in the latest Bugzilla version please comment on this bug within 7 days. Doing so will ensure this bug is not closed automatically.

Thanks, the Bugzilla team.

Comment 2 Ayal Baron 2012-05-30 21:20:28 UTC
(In reply to comment #1)
> As part of the recent Bugzilla 2.4 upgrade the Bugzilla team are cleaning up
> bugs opened against old versions of Bugzilla. This bug has been flagged as
> an old bug and will be CLOSED WONTFIX in 7 days time.
> 
> If you believe this bug is an issue in the latest Bugzilla version please
> comment on this bug within 7 days. Doing so will ensure this bug is not
> closed automatically.
> 
> Thanks, the Bugzilla team.

It is indeed still an issue

Comment 3 Jeff Fearn 🐞 2012-07-19 03:27:14 UTC
Resetting to defaults for PM consideration.

Comment 4 Simon Green 2012-10-09 07:07:16 UTC
This should use Bugzilla tokens for authentication. Clicking on the link will remove the user from the CC: and present a message saying as much (and provide a link to the bug, but not display it). By doing it this way, the user doesn't need to log in to remove themselves.

Comment 7 Matt Tyson 🤬 2012-11-01 23:22:39 UTC
I've added a link to bug emails that will unsubscribe you from a bug.

This link will only appear if you are being sent the email because you are on the CC list for that bug.

If you are being sent the email because you are watching someone on the bug, or are the bug assignee you will not get the email.

Comment 8 xuezhi ma 2012-11-16 05:26:37 UTC
Verify version: 4.2.4-7 on test server -> PASS

Verify steps:
1. Login bugzilla with account A.
2. Create a new bug and set account B as CC.
3. Update the bug.
4. Check the emails that account B and account A received.
5. Login bugzilla with account B, then click the link in email to unsubscribe account B.
6.1  Add account B as CC in the bug.
6.2 Update the bug.
6.3. Logout bugzilla.
6.4 Check the email that account B received, click the link  in email to unsubscribe account B.
7.1  Add account B as CC in the bug.
7.2 Update the bug.
7.3. Login bugzilla with account C which can not see the bug.
7.4 Check the email that account B received, click the link  in email to unsubscribe account B.

Actual result:
1. Only CC's email include the unsubscribe link, report or other user can not receive the email that include the unsubscribe link.
2. Any user can use the link to unsubscribe the user from CC list. nonlogin user also can do it.


Note You need to log in before you can comment on or make changes to this bug.